<?php

namespace Arma;

/**
 * Interface for a dense matrix with complex numbers as elements.
 *
 * @package Arma
 */
interface CxMat extends Mat
{
    /**
     * Construct a complex matrix out of two non-complex matrices.
     *
     * @param Mat $real
     * @param Mat $imag
     * @return CxMat
     */
    static function fromMats($real, $imag);
}
