//
// php-armadillo/php_arma.h
//
// @Author CismonX
//

#ifndef PHP_ARMA_H
#define PHP_ARMA_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <php.h>

extern zend_module_entry arma_module_entry;

#define PHP_ARMA_VERSION         "0.0.1"

#ifdef PHP_WIN32
#define PHP_ARMA_API             __declspec(dllexport)
#elif defined(__GNUC__) && __GNUC__ >= 4
#define PHP_ARMA_API             __attribute__ ((visibility("default")))
#else
#define PHP_ARMA_API
#endif

ZEND_BEGIN_MODULE_GLOBALS(arma)
    int unused;
ZEND_END_MODULE_GLOBALS(arma)

ZEND_EXTERN_MODULE_GLOBALS(arma)

#ifdef ZTS
#ifdef COMPILE_DL_ARMA
ZEND_TSRMLS_CACHE_EXTERN()
#endif
#define ARMA_G(v)                TSRMG(arma_globals_id, zend_arma_globals*, v)
#else
#define ARMA_G(v)                (arma_globals.v)
#endif

#endif // !PHP_ARMA_H
